Skip to content

GET Total API Calls for Virtual Host.

POST
/api/ml/data/namespaces/{namespace}/virtual_hosts/{name}/api_endpoints/summary/calls_by_response_code
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/example/virtual_hosts/example/api_endpoints/summary/calls_by_response_code \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "apiep_summary_filter": { "apiep_category": [ "APIEP_CATEGORY_DISCOVERED" ], "domains": [ "example" ], "end_time": "example", "start_time": "example" }, "name": "example", "namespace": "example" }'

GET total API calls for the given Virtual Host.

Examples of this operation.

namespace
required
string

Namespace Namespace of the virtual host for current request.

name
required
string

Virtual Host Name Virtual Host name for current request.

Media typeapplication/json
GetAPICallSummaryReq

Request model for GetAPICallSummary API.

object
apiep_summary_filter
object
apiep_category
APIEP Category

Category of API endpoints. Can be DISCOVERED, INVENTORY or SHADOW API. Optional filter by api_category. If absent, endpoints of all categories are considered.

Array<string>
Allowed values: APIEP_CATEGORY_DISCOVERED APIEP_CATEGORY_SWAGGER APIEP_CATEGORY_INVENTORY APIEP_CATEGORY_SHADOW APIEP_CATEGORY_DEPRECATED APIEP_CATEGORY_NON_API
domains
List of Domain

List of domains for which top API endpoints summary should be returned. Optional filter by domains. If absent, endpoints for all domains are considered.

Array<string>
<= 5 items
end_time
end time

Format: unix_timestamp|RFC 3339 Filters the APIEPs with access time < end_time. Optional: If not specified, then the end_time will be evaluated to start_time+2h If start_time is not specified, then the end_time will be evaluated to

string
<= 1024 characters
start_time
start time

Format: unix_timestamp|RFC 3339 Filters the APIEPs with access time >= start_time. Optional: If not specified, then the start_time will be evaluated to end_time-2h If end_time is not specified, then the start_time will be evaluated to -10m.

string
<= 1024 characters
name
Virtual Host Name

Virtual Host name for current request.

string
>= 6 characters <= 1024 characters
namespace
Namespace

Namespace of the virtual host for current request.

string
>= 6 characters <= 1024 characters

A successful response.

Media typeapplication/json
GetAPICallSummaryRsp

Response model for GetSensitiveDataSummaryRsp API.

object
request_count_per_rsp_code
request_count_per_rsp_code

Number of API calls for each category of response.

Array<object>
RequestCountPerResponseClass

Request count per response class.

object
count
count

Request count for this response code class/category.

integer format: int32
rsp_code_class
string
default: HTTP_RESPONSE_CODE_CLASS_UNKNOWN
Allowed values: HTTP_RESPONSE_CODE_CLASS_UNKNOWN HTTP_RESPONSE_CODE_CLASS_1XX HTTP_RESPONSE_CODE_CLASS_2XX HTTP_RESPONSE_CODE_CLASS_3XX HTTP_RESPONSE_CODE_CLASS_4XX HTTP_RESPONSE_CODE_CLASS_5XX
total_calls
total_calls

Total API calls.

string format: uint64
<= 1024 characters
Example
{
"request_count_per_rsp_code": [
{
"rsp_code_class": "HTTP_RESPONSE_CODE_CLASS_UNKNOWN"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example